Commit 7043ed2f authored by morgan's avatar morgan 😸 Committed by Pier Angelo Vendrame
Browse files

fixup! MB 188: Customize Gitlab Issue and Merge templates

parent 5e84648a
Loading
Loading
Loading
Loading
+15 −15
Original line number Diff line number Diff line
@@ -20,7 +20,7 @@
eslint:
  extends: .base
  script:
    - .gitlab/ci/jobs/lint/helpers.py --get-changed-files | xargs -d '\n' ./mach lint -v -l eslint
    - .gitlab/ci/jobs/lint/helpers.py --get-changed-files | xargs -d '\n' ./mach lint -l eslint
  rules:
    - if: $CI_PIPELINE_SOURCE == 'merge_request_event'
      changes:
@@ -49,7 +49,7 @@ eslint:
stylelint:
  extends: .base
  script:
    - .gitlab/ci/jobs/lint/helpers.py --get-changed-files | xargs -d '\n' ./mach lint -v -l stylelint
    - .gitlab/ci/jobs/lint/helpers.py --get-changed-files | xargs -d '\n' ./mach lint -l stylelint
  rules:
    - if: $CI_PIPELINE_SOURCE == 'merge_request_event'
      changes:
@@ -67,7 +67,7 @@ stylelint:
py-black:
  extends: .base
  script:
    - .gitlab/ci/jobs/lint/helpers.py --get-changed-files | xargs -d '\n' ./mach lint -v -l black
    - .gitlab/ci/jobs/lint/helpers.py --get-changed-files | xargs -d '\n' ./mach lint -l black
  rules:
    - if: $CI_PIPELINE_SOURCE == 'merge_request_event'
      changes:
@@ -86,7 +86,7 @@ py-black:
py-ruff:
  extends: .base
  script:
    - .gitlab/ci/jobs/lint/helpers.py --get-changed-files | xargs -d '\n' ./mach lint -v -l ruff
    - .gitlab/ci/jobs/lint/helpers.py --get-changed-files | xargs -d '\n' ./mach lint -l ruff
  rules:
    - if: $CI_PIPELINE_SOURCE == 'merge_request_event'
      changes:
@@ -105,7 +105,7 @@ py-ruff:
yaml:
  extends: .base
  script:
    - .gitlab/ci/jobs/lint/helpers.py --get-changed-files | xargs -d '\n' ./mach lint -v -l yaml
    - .gitlab/ci/jobs/lint/helpers.py --get-changed-files | xargs -d '\n' ./mach lint -l yaml
  rules:
    - if: $CI_PIPELINE_SOURCE == 'merge_request_event'
      changes:
@@ -120,7 +120,7 @@ yaml:
shellcheck:
  extends: .base
  script:
    - .gitlab/ci/jobs/lint/helpers.py --get-changed-files | xargs -d '\n' ./mach lint -v -l shellcheck
    - .gitlab/ci/jobs/lint/helpers.py --get-changed-files | xargs -d '\n' ./mach lint -l shellcheck
  rules:
    - if: $CI_PIPELINE_SOURCE == 'merge_request_event'
      changes:
@@ -135,7 +135,7 @@ clang-format:
  extends: .base
  script:
    - ./mach configure --without-wasm-sandboxed-libraries --with-base-browser-version=0.0.0
    - .gitlab/ci/jobs/lint/helpers.py --get-changed-files | xargs -d '\n' ./mach lint -v -l clang-format
    - .gitlab/ci/jobs/lint/helpers.py --get-changed-files | xargs -d '\n' ./mach lint -l clang-format
  rules:
    - if: $CI_PIPELINE_SOURCE == 'merge_request_event'
      changes:
@@ -154,7 +154,7 @@ clang-format:
rustfmt:
  extends: .base
  script:
    - .gitlab/ci/jobs/lint/helpers.py --get-changed-files | xargs -d '\n' ./mach lint -v -l rustfmt
    - .gitlab/ci/jobs/lint/helpers.py --get-changed-files | xargs -d '\n' ./mach lint -l rustfmt
  rules:
    - if: $CI_PIPELINE_SOURCE == 'merge_request_event'
      changes:
@@ -168,7 +168,7 @@ rustfmt:
fluent-lint:
  extends: .base
  script:
    - .gitlab/ci/jobs/lint/helpers.py --get-changed-files | xargs -d '\n' ./mach lint -v -l fluent-lint
    - .gitlab/ci/jobs/lint/helpers.py --get-changed-files | xargs -d '\n' ./mach lint -l fluent-lint
  rules:
    - if: $CI_PIPELINE_SOURCE == 'merge_request_event'
      changes:
@@ -183,7 +183,7 @@ fluent-lint:
localization:
  extends: .base
  script:
    - .gitlab/ci/jobs/lint/helpers.py --get-changed-files | xargs -d '\n' ./mach lint -v -l l10n
    - .gitlab/ci/jobs/lint/helpers.py --get-changed-files | xargs -d '\n' ./mach lint -l l10n
  rules:
    - if: $CI_PIPELINE_SOURCE == 'merge_request_event'
      changes:
@@ -200,7 +200,7 @@ localization:
mingw-capitalization:
  extends: .base
  script:
    - .gitlab/ci/jobs/lint/helpers.py --get-changed-files | xargs -d '\n' ./mach lint -v -l mingw-capitalization
    - .gitlab/ci/jobs/lint/helpers.py --get-changed-files | xargs -d '\n' ./mach lint -l mingw-capitalization
  rules:
    - if: $CI_PIPELINE_SOURCE == 'merge_request_event'
      changes:
@@ -217,7 +217,7 @@ mingw-capitalization:
mscom-init:
  extends: .base
  script:
    - .gitlab/ci/jobs/lint/helpers.py --get-changed-files | xargs -d '\n' ./mach lint -v -l mscom-init
    - .gitlab/ci/jobs/lint/helpers.py --get-changed-files | xargs -d '\n' ./mach lint -l mscom-init
  rules:
    - if: $CI_PIPELINE_SOURCE == 'merge_request_event'
      changes:
@@ -234,7 +234,7 @@ mscom-init:
file-whitespace:
  extends: .base
  script:
    - .gitlab/ci/jobs/lint/helpers.py --get-changed-files | xargs -d '\n' ./mach lint -v -l file-whitespace
    - .gitlab/ci/jobs/lint/helpers.py --get-changed-files | xargs -d '\n' ./mach lint -l file-whitespace
  rules:
    - if: $CI_PIPELINE_SOURCE == 'merge_request_event'
      changes:
@@ -264,7 +264,7 @@ file-whitespace:
test-manifest:
  extends: .base
  script:
    - .gitlab/ci/jobs/lint/helpers.py --get-changed-files | xargs -d '\n' ./mach lint -v -l test-manifest-alpha -l test-manifest-disable -l test-manifest-skip-if
    - .gitlab/ci/jobs/lint/helpers.py --get-changed-files | xargs -d '\n' ./mach lint -l test-manifest-alpha -l test-manifest-disable -l test-manifest-skip-if
  rules:
    - if: $CI_PIPELINE_SOURCE == 'merge_request_event'
      changes:
@@ -279,7 +279,7 @@ test-manifest:
trojan-source:
  extends: .base
  script:
    - .gitlab/ci/jobs/lint/helpers.py --get-changed-files | xargs -d '\n' ./mach lint -v -l trojan-source
    - .gitlab/ci/jobs/lint/helpers.py --get-changed-files | xargs -d '\n' ./mach lint -l trojan-source
  rules:
    - if: $CI_PIPELINE_SOURCE == 'merge_request_event'
      changes:
+5 −26
Original line number Diff line number Diff line
.with-local-repo-bash:
  variables:
      GIT_STRATEGY: "none"
      FETCH_TIMEOUT: 180 # 3 minutes
  before_script:
    - git init
    - git remote add local "$LOCAL_REPO_PATH"
@@ -20,38 +19,18 @@
          exit 1
      fi
    - git fetch --depth 500 local $TARGET_BRANCH
    - git --no-pager log FETCH_HEAD --oneline -n 5
    - git remote add origin "$CI_REPOSITORY_URL"
    - |
      if [ -z "${CI_COMMIT_BRANCH:-$CI_MERGE_REQUEST_SOURCE_BRANCH_NAME}" ]; then
          echo "No branch specified. Stopping the pipeline."
          exit 1
      fi
    - echo "Fetching from remote branch ${CI_COMMIT_BRANCH:-$CI_MERGE_REQUEST_SOURCE_BRANCH_NAME} with a ${FETCH_TIMEOUT}s timeout."
    - echo "Fetching from remote branch ${CI_COMMIT_BRANCH:-$CI_MERGE_REQUEST_SOURCE_BRANCH_NAME}"
    - |
      fetch_with_timeout() {
        local remote=$1
        local branch=$2

        set +e
        timeout ${FETCH_TIMEOUT} git fetch "$remote" "$branch"
        local fetch_exit=$?
        set -e

        if [ "$fetch_exit" -eq 124 ]; then
          echo "Fetching failed for branch ${remote}/${branch} due to a timeout. Try again later."
          echo "Gitlab may be experiencing slowness or the local copy of the repository on the CI server may be oudated."
          return 1
        fi

        return $fetch_exit
      }

      if ! fetch_with_timeout origin "${CI_COMMIT_BRANCH:-$CI_MERGE_REQUEST_SOURCE_BRANCH_NAME}"; then
        echo "Fetching failed for branch ${CI_COMMIT_BRANCH:-$CI_MERGE_REQUEST_SOURCE_BRANCH_NAME}."
      if ! git fetch origin "${CI_COMMIT_BRANCH:-$CI_MERGE_REQUEST_SOURCE_BRANCH_NAME}"; then
            echo -e "\e[31mFetching failed for branch ${CI_COMMIT_BRANCH:-$CI_MERGE_REQUEST_SOURCE_BRANCH_NAME} from $CI_REPOSITORY_URL.\e[0m"
            echo "Attempting to fetch the merge request branch, assuming this pipeline is not running in a fork."

        fetch_with_timeout origin "merge-requests/${CI_MERGE_REQUEST_IID}/head" || exit 1
            git fetch origin "merge-requests/${CI_MERGE_REQUEST_IID}/head"
      fi
    - git checkout FETCH_HEAD

+4 −8
Original line number Diff line number Diff line
@@ -40,16 +40,13 @@ Please provide the following information:
  - [ ] Alpha
  - [ ] Nightly
- Distribution method:
  - [ ] Installer/archive from torproject.org
  - [ ] tor-browser-launcher
  - [ ] Installer/archive from mullvad.net
  - [ ] homebrew
  - [ ] other (please specify):
- Operating System:
  - [ ] Windows
  - [ ] macOS
  - [ ] Linux
  - [ ] Android
  - [ ] Tails
  - [ ] Other (please specify):
- Operating System Version:

@@ -87,11 +84,10 @@ Archived packages for past versions can be found here:
<!--
Sometimes bugs are fixed in the Alpha (development) channel but not in the Stable channel.
⚠️ However, the Alpha release channel is the development version and as such may be contain
critical bugs not present in the Stable release channel. Do not test in Alpha if you are an
at risk user unless you really, actually, truly know what you are doing!
critical bugs not present in the Stable release channel.

The latest Alpha can be found here:
- https://www.torproject.org/download/alpha/
- https://github.com/mullvad/mullvad-browser/releases?q=prerelease%3Atrue
-->

### Does this bug occur in Firefox ESR (Desktop only)?
@@ -117,5 +113,5 @@ If the issue has been fixed in Firefox, do you know the Bugzilla issue number as

---

/label ~"Apps::Product::TorBrowser"
/label ~"Apps::Product::MullvadBrowser"
/label ~"Apps::Type::Bug"
+3 −1
Original line number Diff line number Diff line
@@ -26,6 +26,7 @@ guarantees?

### Security
<!--
TODO: Mullvad Browser's threat model is somehow less restrictive than Tor Browser's, but currently undefined
Outline any security implications this feature would introduce. The browser's
security requirements can be found in our threat model document here:
- https://gitlab.torproject.org/tpo/applications/wiki/-/wikis/Design-Documents/Tor-Browser-Design-Doc#21-security-requirements
@@ -33,6 +34,7 @@ security requirements can be found in our threat model document here:

### Privacy
<!--
TODO: Mullvad Browser's threat model is somehow less restrictive than Tor Browser's, but currently undefined
Outline any privacy implications this feature would introduce. The browser's
privacy requirements can be found in our threat model document here:
- https://gitlab.torproject.org/tpo/applications/wiki/-/wikis/Design-Documents/Tor-Browser-Design-Doc#22-privacy-requirements
@@ -66,5 +68,5 @@ are there for users?

---

/label ~"Apps::Product::TorBrowser"
/label ~"Apps::Product::MullvadBrowser"
/label ~"Apps::Type::Proposal"
+4 −8
Original line number Diff line number Diff line
@@ -38,16 +38,13 @@ Please provide the following information:
  - [ ] Alpha
  - [ ] Nightly
- Distribution method:
  - [ ] Installer/archive from torproject.org
  - [ ] tor-browser-launcher
  - [ ] Installer/archive from mullvad.net
  - [ ] homebrew
  - [ ] other (please specify):
- Operating System:
  - [ ] Windows
  - [ ] macOS
  - [ ] Linux
  - [ ] Android
  - [ ] Tails
  - [ ] Other (please specify):
- Operating System Version:

@@ -78,11 +75,10 @@ Archived packages for past versions can be found here:
<!--
Sometimes bugs are fixed in the Alpha (development) channel but not in the Stable channel.
⚠️ However, the Alpha release channel is the development version and as such may be contain
critical bugs not present in the Stable release channel. Do not test in Alpha if you are an
at risk user unless you really, actually, truly know what you are doing!
critical bugs not present in the Stable release channel.

The latest Alpha can be found here:
- https://www.torproject.org/download/alpha/
- https://github.com/mullvad/mullvad-browser/releases?q=prerelease%3Atrue
-->

### Does this bug occur in Firefox ESR (Desktop only)?
@@ -108,5 +104,5 @@ If the issue has been fixed in Firefox, do you know the Bugzilla issue number as

---

/label ~"Apps::Product::TorBrowser"
/label ~"Apps::Product::MullvadBrowser"
/label ~"Apps::Type::WebCompatibility"
Loading